import axios from '@/libs/api.request'

// 获取工单列表
export const LstWorkOrder = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.WorkOrder_WorkOrder.LstWorkOrder',
    data
  })
}

// 新增工单
export const AddWorkOrder = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.WorkOrder_WorkOrder.AddWorkOrder',
    data
  })
}

// 模块列表
export const GetModuleLst = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.WorkOrder_WorkOrder.GetModuleLst',
    data
  })
}

// 工单详情
export const DetailWorkOrder = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.WorkOrder_WorkOrder.DetailWorkOrder',
    data
  })
}

// 更新工单信息
export const UpdateChatRecodeWorkOrder = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.WorkOrder_WorkOrder.UpdateChatRecodeWorkOrder',
    data
  })
}

// 上图
export const UploadImg = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.File.Upload',
    data
  })
}

// 获取上传类型UploadType
export const UploadType = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.File.UploadType',
    data
  })
}
